package ru.yandex.autotests.direct.web.data.banners;

import ru.yandex.autotests.direct.web.objects.banners.commons.SiteLinkInfoWeb;

/**
 * @author Roman Kuhta (kuhtich@yandex-team.ru)
 */
public class GroupChangesInfo {
    private String siteLink;

    private String linkPartFindBy;

    private String linkPartReplaceWith;

    private Boolean fixQuickLinks;

    private String bodyPartFindBy;

    private String bodyPartReplaceWith;

    private SiteLinkInfoWeb[] siteLinks;

    private Boolean clearAllSiteLinks;

    private GroupChangesBlockTabs tab;

    private String minusKeywords;

    private String domain;

    public String getMinusKeywords() {
        return minusKeywords;
    }

    public void setMinusKeywords(String minusKeywords) {
        this.minusKeywords = minusKeywords;
    }

    public String getDomain() {
        return domain;
    }

    public void setDomain(String domain) {
        this.domain = domain;
    }

    public String getBodyPartFindBy() {
        return bodyPartFindBy;
    }

    public void setBodyPartFindBy(String bodyPartFindBy) {
        this.bodyPartFindBy = bodyPartFindBy;
    }

    public String getBodyPartReplaceWith() {
        return bodyPartReplaceWith;
    }

    public void setBodyPartReplaceWith(String bodyPartReplaceWith) {
        this.bodyPartReplaceWith = bodyPartReplaceWith;
    }

    public Boolean getFixQuickLinks() {
        return fixQuickLinks;
    }

    public void setFixQuickLinks(Boolean fixQuickLinks) {
        this.fixQuickLinks = fixQuickLinks;
    }

    public String getLinkPartFindBy() {
        return linkPartFindBy;
    }

    public void setLinkPartFindBy(String linkPartFindBy) {
        this.linkPartFindBy = linkPartFindBy;
    }

    public String getLinkPartReplaceWith() {
        return linkPartReplaceWith;
    }

    public void setLinkPartReplaceWith(String linkPartReplaceWith) {
        this.linkPartReplaceWith = linkPartReplaceWith;
    }

    public String getSiteLink() {
        return siteLink;
    }


    public Boolean getClearAllSiteLinks() {
        return clearAllSiteLinks;
    }

    public void setClearAllSiteLinks(Boolean clearAllSiteLinks) {
        this.clearAllSiteLinks = clearAllSiteLinks;
    }

    public void setSiteLink(String siteLink) {
        this.siteLink = siteLink;
    }

    public SiteLinkInfoWeb[] getSiteLinks() {
        return siteLinks;
    }

    public void setSiteLinks(SiteLinkInfoWeb[] siteLinks) {
        this.siteLinks = siteLinks;
    }

    public GroupChangesBlockTabs getTab() {
        return tab;
    }

    public void setTab(GroupChangesBlockTabs tab) {
        this.tab = tab;
    }
}
